Search documentation of ash

# View Source Ash.Resource.Attribute (ash v3.4.30)

Represents an attribute on a resource

# Summary

## Types

t()

## Functions

create_timestamp_schema()
integer_primary_key_schema()
transform(attribute)
update_timestamp_schema()
uuid_primary_key_schema()
uuid_v7_primary_key_schema()

# Types

Link to this type

# t()

View Source

    @type t() :: %Ash.Resource.Attribute{
      allow_nil?: term(),
      always_select?: term(),
      constraints: Keyword.t(),
      default: nil | term() | (-> term()),
      description: term(),
      filterable?: term(),
      generated?: term(),
      match_other_defaults?: term(),
      name: atom(),
      primary_key?: boolean(),
      public?: boolean(),
      select_by_default?: boolean(),
      sensitive?: boolean(),
      sortable?: boolean(),
      source: term(),
      type: Ash.Type.t(),
      update_default:
        nil | term() | (-> term()) | (Ash.Resource.record() -> term()),
      writable?: boolean()
    }

# Functions

Link to this function

# create_timestamp_schema()

View Source
Link to this function

# integer_primary_key_schema()

View Source
Link to this function

# transform(attribute)

View Source
Link to this function

# update_timestamp_schema()

View Source
Link to this function

# uuid_primary_key_schema()

View Source
Link to this function

# uuid_v7_primary_key_schema()

View Source